﻿// Copyright (c) Richasy. All rights reserved.

namespace Bili.Models.Enums
{
    /// <summary>
    /// 页面标识.
    /// </summary>
    public enum PageIds
    {
        /// <summary>
        /// 未指定页面.
        /// </summary>
        None = -1,

        /// <summary>
        /// 视频推荐.
        /// </summary>
        Recommend = 1,

        /// <summary>
        /// 热门.
        /// </summary>
        Popular = 2,

        /// <summary>
        /// 排行榜.
        /// </summary>
        Rank = 3,

        /// <summary>
        /// 分区.
        /// </summary>
        VideoPartition = 4,

        /// <summary>
        /// 专栏.
        /// </summary>
        SpecialColumn = 5,

        /// <summary>
        /// 番剧.
        /// </summary>
        Bangumi = 6,

        /// <summary>
        /// 国创.
        /// </summary>
        DomesticAnime = 7,

        /// <summary>
        /// 纪录片.
        /// </summary>
        Documentary = 8,

        /// <summary>
        /// 电影.
        /// </summary>
        Movie = 9,

        /// <summary>
        /// 电视剧.
        /// </summary>
        TV = 10,

        /// <summary>
        /// 直播.
        /// </summary>
        Live = 11,

        /// <summary>
        /// 动态.
        /// </summary>
        Dynamic = 12,

        /// <summary>
        /// 预搜索页面.
        /// </summary>
        PreSearch = 13,

        /// <summary>
        /// Xbox的账户页面.
        /// </summary>
        XboxAccount = 14,

        /// <summary>
        /// 设置页面.
        /// </summary>
        Settings = 20,

        /// <summary>
        /// 帮助页面.
        /// </summary>
        Help = 21,

        /// <summary>
        /// 工具箱.
        /// </summary>
        Toolbox = 22,

        /// <summary>
        /// 我的收藏.
        /// </summary>
        Favorite = 101,

        /// <summary>
        /// 稍后再看.
        /// </summary>
        ViewLater = 102,

        /// <summary>
        /// 观看历史.
        /// </summary>
        ViewHistory = 103,

        /// <summary>
        /// 消息.
        /// </summary>
        Message = 104,

        /// <summary>
        /// 粉丝页面.
        /// </summary>
        Fans = 105,

        /// <summary>
        /// 关注页面.
        /// </summary>
        Follows = 106,

        /// <summary>
        /// 我的关注.
        /// </summary>
        MyFollows = 107,

        /// <summary>
        /// 分区详情页面.
        /// </summary>
        VideoPartitionDetail = 200,

        /// <summary>
        /// 搜索页面.
        /// </summary>
        Search = 201,

        /// <summary>
        /// PGC索引页面.
        /// </summary>
        PgcIndex = 202,

        /// <summary>
        /// 时间线页面.
        /// </summary>
        TimeLine = 203,

        /// <summary>
        /// 直播分区页面.
        /// </summary>
        LivePartition = 204,

        /// <summary>
        /// 直播分区详情页面.
        /// </summary>
        LivePartitionDetail = 205,

        /// <summary>
        /// 用户空间页面.
        /// </summary>
        UserSpace = 300,

        /// <summary>
        /// 用户空间页面.
        /// </summary>
        VideoFavoriteDetail = 301,

        /// <summary>
        /// 视频播放界面.
        /// </summary>
        VideoPlayer = 1001,

        /// <summary>
        /// PGC内容播放界面.
        /// </summary>
        PgcPlayer = 1002,

        /// <summary>
        /// 直播播放界面.
        /// </summary>
        LivePlayer = 1003,
    }
}
