﻿// Copyright (c) Richasy. All rights reserved.

namespace Bili.Models.Enums
{
    /// <summary>
    /// 直播消息类型.
    /// </summary>
    public enum LiveMessageType
    {
        /// <summary>
        /// 连接成功
        /// </summary>
        ConnectSuccess,

        /// <summary>
        /// 在线人数
        /// </summary>
        Online,

        /// <summary>
        /// 弹幕
        /// </summary>
        Danmaku,

        /// <summary>
        /// 赠送礼物
        /// </summary>
        Gift,

        /// <summary>
        /// 欢迎信息
        /// </summary>
        Welcome,

        /// <summary>
        /// 系统消息
        /// </summary>
        SystemMsg,

        /// <summary>
        /// 醒目留言
        /// </summary>
        SuperChat,

        /// <summary>
        /// 醒目留言（日文）
        /// </summary>
        SuperChatJpn,

        /// <summary>
        /// 抽奖开始
        /// </summary>
        AnchorLotteryStart,

        /// <summary>
        /// 抽奖结束
        /// </summary>
        AnchorLotteryEnd,

        /// <summary>
        /// 抽奖结果
        /// </summary>
        AnchorLotteryAward,

        /// <summary>
        /// 欢迎舰长
        /// </summary>
        WelcomeGuard,

        /// <summary>
        /// 上舰
        /// </summary>
        GuardBuy,
    }
}
