﻿// Copyright (c) Richasy. All rights reserved.

namespace Bili.Models.Enums.Bili
{
    /// <summary>
    /// 播放时的关联区块类型.
    /// </summary>
    public enum PlayerSectionType
    {
        /// <summary>
        /// 关联视频.
        /// </summary>
        RelatedVideos,

        /// <summary>
        /// 评论.
        /// </summary>
        Comments,

        /// <summary>
        /// 视频合集.
        /// </summary>
        UgcSeason,

        /// <summary>
        /// 视频分集.
        /// </summary>
        VideoParts,

        /// <summary>
        /// PGC 分集.
        /// </summary>
        Episodes,

        /// <summary>
        /// PGC 剧集季.
        /// </summary>
        Seasons,

        /// <summary>
        ///  PGC 附加内容.
        /// </summary>
        Extras,

        /// <summary>
        /// 直播聊天互动.
        /// </summary>
        Chat,

        /// <summary>
        /// 播放列表.
        /// </summary>
        Playlist,
    }
}
